﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nebulix.Rendering;


[Serializable]
public class ShaderLinkException : Exception
{
	public ShaderLinkException() : base("Error occured while trying to link a shader.") { }
	public ShaderLinkException(string message) : base(message) { }
	public ShaderLinkException(string message, Exception inner) : base(message, inner) { }
	protected ShaderLinkException(
	  System.Runtime.Serialization.SerializationInfo info,
	  System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
}